package com.seryx.test;

import javax.ejb.Remote;
import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;

@Stateless
@Remote(GenericDAO.class)
public class GenericDAOBean implements GenericDAO {

	@PersistenceContext
	protected EntityManager entityManager;


	public Object persist(Object transientInstance) {
		entityManager.persist(transientInstance);
		entityManager.flush();
		return transientInstance;
	}


	public void remove(Object persistentInstance) {
		entityManager.remove(persistentInstance);

	}


	public Object merge(Object detachedInstance) {
		Object result = entityManager.merge(detachedInstance);
		return result;
	}
}
